#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include "./webviewprovider.h"

#include <QMainWindow>
#ifdef REPOINDEX_USE_WEBENGINE
# include <QWebEngineView>
#else
# include <QWebView>
#endif

namespace RepoIndex {

class Manager;

class MainWindow : public QMainWindow
{
    Q_OBJECT
public:
    MainWindow(const QString &webdir, Manager *manager);

protected:
    bool event(QEvent *event);

private slots:
    void showInfoWebViewContextMenu(const QPoint &);
    void copyInfoWebViewSelection();

private:
    Manager *m_manager;
    WEB_VIEW_PROVIDER m_webView;
    QMenu *m_contextMenu;
    QAction *m_copyAction;
};

}

#endif // MAINWINDOW_H
