#ifndef ALPM_UTILITIES_H
#define ALPM_UTILITIES_H

#include "repository.h"
#include "package.h"

#include <QString>

#include <string>

QT_FORWARD_DECLARE_CLASS(QJsonArray)

namespace RepoIndex {

namespace Utilities {

QJsonArray sigLevelStrings(SignatureLevel sigLevel);
QJsonArray usageStrings(RepositoryUsage usage);
QString sigStatusString(SignatureStatus sigStatus);
QJsonArray validationMethodsStrings(PackageValidation validationMethods);
void stripVersion(QString &packageName);

inline QString qstr(const char *str)
{
    return QString::fromLocal8Bit(str);
}

inline QString qstr(const std::string &str)
{
    return QString::fromLocal8Bit(str.data());
}

void printValues(std::ostream &output, const char *label, const QStringList &values);
void printBashArray(std::ostream &output, const char *name, const QStringList &values);
void printError(const std::exception &ex);
void printError(const QString &message);
void printError(std::string &message);

}

}

#endif // ALPM_UTILITIES_H
